# Uses of Enum Class
org.sunflow.core.ParameterList.InterpolationType

Packages that use ParameterList.InterpolationType
Package
Description
org.sunflow.core
org.sunflow.core.parser

## Uses of ParameterList.InterpolationType in org.sunflow.core

Fields in org.sunflow.core declared as ParameterList.InterpolationType
Modifier and Type
Field
Description
`final ParameterList.InterpolationType`
ParameterList.FloatParameter.`interp`
Methods in org.sunflow.core that return ParameterList.InterpolationType
Modifier and Type
Method
Description
`static ParameterList.InterpolationType`
ParameterList.InterpolationType.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParameterList.InterpolationType[]`
ParameterList.InterpolationType.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.sunflow.core with parameters of type ParameterList.InterpolationType
Modifier and Type
Method
Description
`void`
ParameterList.`addFloats(String name, ParameterList.InterpolationType interp, float[] data)`
Add the specified floats as a parameter.
`void`
ParameterList.`addMatrices(String name, ParameterList.InterpolationType interp, float[] data)`
Add the specified matrices as a parameter.
`void`
ParameterList.`addPoints(String name, ParameterList.InterpolationType interp, float[] data)`
Add the specified points as a parameter.
`void`
ParameterList.`addTexCoords(String name, ParameterList.InterpolationType interp, float[] data)`
Add the specified texture coordinates as a parameter.
`void`
ParameterList.`addVectors(String name, ParameterList.InterpolationType interp, float[] data)`
Add the specified vectors as a parameter.

## Uses of ParameterList.InterpolationType in org.sunflow.core.parser

Methods in org.sunflow.core.parser that return ParameterList.InterpolationType
Modifier and Type
Method
Description
`protected abstract ParameterList.InterpolationType`
SCAbstractParser.`parseInterpolationType()`
`protected ParameterList.InterpolationType`
SCAsciiParser.`parseInterpolationType()`
`protected ParameterList.InterpolationType`
SCBinaryParser.`parseInterpolationType()`